1

I'm using Whonix Gateway and Workstation. Recently Arm shows

Tor 0.2.9.9(unrecommended)

(unrecommended is red)

How can I update to a newer version of tor? Is it dangerous to use as it is ?

0

You should follow the steps outlined on the Whonix Security Guide.

In simple terms, you should only need to run the following commands:

  1. apt-get update
  2. apt-get dist-upgrade
  3. reboot

By the looks of it, 0.2.9.9 is the latest version distributed for Whonix.

Package: tor
Version: 0.2.9.9-1~d80.jessie+1

There have been some bugfixes since then, most prominently CVE-2017-0376 which only affects onion services. The consensus suggests that it's not a recommended client version currently but I don't think it's explicitly known to be unsafe if you're only using it as a client.

  • Thank you for replying. But I've already done it,because whonix-check asked me to do so. But nothing happened as for version of tor.I tried one more time,but the result was the same. – torer Aug 11 '17 at 0:02
  • I've added some more details. – cacahuatl Aug 11 '17 at 0:45

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.